Subject: Review: Armageddon (1998)

From: "Choo Eng Aun, Jack" <[email-masked]>
Date: 25 Jul 1998 16:43:13 GMT

ARMAGEDDON (1998)

Directed by Michael Bay
Starring : Bruce Willis	(Harry Stamper)
	  Liv Tyler	(Grace Stamper)
	  Ben Affleck	(A.J.)
	  Dan Truman	(Billy Bob Thornton)
	  Steve Buscemi	
Produced by Jerry Bruckheimer
Running Time : 2hrs 20mins

Reviewed by Jack Choo

Rating : *1/2 out of *****

The Meteor that Failed to Impact 

If I were to plot a graph of year against movie-plot-ridiculity for Hollywood movies, you'll probably see a line with constant gradient. Now, if I were to plot that same graph for the movies that the Michael Bay/Jerry Bruckheimer has made over the last 4 years, that line would be exponential in growth. The team started out with the Will Smith vehicle BAD BOYS which was no more than a 2hr long action-music-video, nevertheless entertaining. Then came THE ROCK, where audiences flocked to see NICHOLAS CAGE team up with SEAN CONNERY against some terrorizing general fighting over some stupid cause. CON-AIR was ridiculousy dumb in its premise but it did have fun moments, and who can forget the nursery rhyme sang by that psycho killer played by STEVE BUSCEMI. While these movies worked because there was something better to cover-up the dirt, ARMAGEDDON does not.

Very much like DEEP IMPACT, a meteor is heading towards Earth and they didn't realize it until 18 days from impact. DEEP IMPACT settled with the modest meteor size as large as the city of New York but ARMAGEDDON just had to be BIGGER....well about the size of Texas (that kinda meteor whould probably knock Earth out of its orbit!). The panic of this sighting spurs the idea of landing people on the meteor, drill it then nuke it (sounds familiar) and who better to do such a job than Harry Stamper  (Bruce Willis), your very own oil-driller extraordinaire and his team of macho-misfits, nursing the tagline `there ain't nothin' on this planet that Harry can't drill!'. In that 18 days, Harry's group was split into 2 teams, trained for deep-space flight and finally blasted into space in with special drilling vehicles on 2 new space shuttles.

The main relationship drama of ARMAGEDDON is formed within the relationship of Harry, A.J. and Grace. To give you an idea, A.J. works for Harry, and loves Grace, Harry's daughter.  The problem is, Harry hates to see his daughter hanging around some scruffy grunt like himself for the rest of her life. So while A.J. and Harry struts it out, Grace is place in a position where she is unable to take sides, so she remains seated in the NASA control tower, crying over both of them in about 80% of the movie.

The human elements this movie tries to inject proves to be nothing more than just an excuse for more slow-mo's and gold-tinted photography. The anguish of the world is potrayed with scenes of people praying, running for their lives or just sitting still staring at the sky, sounds fine right? I know, but it looks too out of place on screen, too staged. If you were to ask yourself, `What's the difference between ARMAGEDDON and a R&B music video?" you'd probably just said `The music.". Not surprising since Michael Bay is a child of that industry and has actually managed to transpose his MTV skills to screen successfully. His foray into ARMAGEDDON just proves that he doesn't when to stop.

Well there's really nothing much to sum up here. The Stock-Aitken-Waterman of Hollywood Movies have projected their art-form into ridiculity, beyond the plane believability, where people still accept even if they didn't believe. DEEP IMPACT was ridiculous in most aspects and I believe the makers know this. The thing is, they decided to shroud myth and fantasy with a purely believable human tale of suffering and coming in terms with ones problems, which ultimately brought it above the ashes which it had initially put itself in. ARMAGEDDON, is an overcrowded, loud, messy, preposterously manipulative waste of money and deserves to remain in that same pile of ash.. 

If you have planned to watched this over DEEP IMPACT because of Liv Tyler, Bruce Willis or the tagline "From the makers of `THE ROCK'!!". Please catch DEEP IMPACT before it finishes its run, it may be the only meteor worth watching in long-long time. If you have to see it, please bring ear-plugs and some aspirins (for the vertigo). Expect ARMAGEDDON LD's to retail at S$19.90 at CarreFour come release time. Gee......even that's not worth it!